import React from "react";
import { DataFormControl } from "../DataFormControl";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class ButtonGroupFormControl extends DataFormControl {
    readonly __type: string;
    label: string;
    valueName: string;
    list: string[];
    render(): JSX.Element;
    handleChange: (event: React.MouseEvent<HTMLElement>, newValue: string) => void;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    getStorageData(): object;
    setStorageData(data: object): void;
}
